Bug 443221

Summary: intel X3100 965GM graphics
Product: [Fedora] Fedora Reporter: Martin Olsson <martin>
Component: xorg-x11Assignee: X/OpenGL Maintenance List <xgl-maint>
Status: CLOSED RAWHIDE QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: jonathan.roberts.uk, petrosyan, poelstra, rstrode
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-04-23 14:38:17 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 235706    

Description Martin Olsson 2008-04-19 08:37:44 EDT
I tried booting the F9 preview today. This is what I saw:
http://files.minimum.se/bug_attachments/f9preview/gfx_messed_up/login_jpeg.jpg
http://files.minimum.se/bug_attachments/f9preview/gfx_messed_up/logged_in_taking_a_screenshot_jpeg.jpg

I have used Ubuntu for 2-3 releases on this machine and Ubuntu always detects my
graphics card and screen with proper resolution and no glitches. In the latest
pre-release Ubuntu I even get compiz running with video etc (overlay not
textured unfortunately). But I've never seen anything quite as bad as this?

The machine has a 15" built-in LVDS panel and a intel X3100 965GM graphics card.
Comment 1 Martin Olsson 2008-04-19 08:39:47 EDT
Full specs of this laptop is:

Laptop: HP Pavilion 6525sc
Intel Core 2 Duo (2x T7100 1.8 GHz), 32-bit with 2GB RAM
Fujitsu MHW2120BH ATA (disk drive): 111,79GB
Mobile Intel(R) 965 Express Chipset Family (display adapter): GMA X3100
15" screen, TV-out port (S-video)
MATSHITA DVD-RAM UJ-851S ATA (dvd drive)
ACPI-compliant battery
Intel(R) ICH8M SATA AHCI Controller - 2829
Intel(R) ICH8M Ultra ATA Storage Controllers - 2850
IEEE 1394 Bus host controller: RICOH OHCI Compliant IEEE 1394 Host Controller
Motorola SM56 Data Fax Modem
Intel(R) PRO/Wireless 3945ABG Network Connection
Realtek RTL8101 Family PCI-E Fast Ethernet NIC (NDIS 6.0)
Personal Identification Device: AuthenTec Inc. AES2501A
SD Host Adapters: SDA Standard Compliant SD Host Controller
Realtek High Definition Audio
Storage controllers: Microsoft iSCSI Initiator


00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory
Controller Hub (rev 0c)
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960
Integrated Graphics Controller (rev 0c)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated
Graphics Controller (rev 0c)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI
Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI
Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI
Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller
(rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1
(rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2
(rev 03)
00:1c.5 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 6
(rev 03)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI
Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI
Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI
Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI
Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3)
00:1f.0 ISA bridge: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller
(rev 03)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE
Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA
AHCI Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 03)
02:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network
Connection (rev 02)
06:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E PCI
Express Fast Ethernet controller (rev 01)
07:09.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 05)
07:09.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host
Adapter (rev 22)
07:09.2 System peripheral: Ricoh Co Ltd R5C843 MMC Host Controller (rev 12)
07:09.3 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter
(rev 12)
07:09.4 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev ff)

00:00.0 0600: 8086:2a00 (rev 0c)
00:02.0 0300: 8086:2a02 (rev 0c)
00:02.1 0380: 8086:2a03 (rev 0c)
00:1a.0 0c03: 8086:2834 (rev 03)
00:1a.1 0c03: 8086:2835 (rev 03)
00:1a.7 0c03: 8086:283a (rev 03)
00:1b.0 0403: 8086:284b (rev 03)
00:1c.0 0604: 8086:283f (rev 03)
00:1c.1 0604: 8086:2841 (rev 03)
00:1c.5 0604: 8086:2849 (rev 03)
00:1d.0 0c03: 8086:2830 (rev 03)
00:1d.1 0c03: 8086:2831 (rev 03)
00:1d.2 0c03: 8086:2832 (rev 03)
00:1d.7 0c03: 8086:2836 (rev 03)
00:1e.0 0604: 8086:2448 (rev f3)
00:1f.0 0601: 8086:2815 (rev 03)
00:1f.1 0101: 8086:2850 (rev 03)
00:1f.2 0106: 8086:2829 (rev 03)
00:1f.3 0c05: 8086:283e (rev 03)
02:00.0 0280: 8086:4222 (rev 02)
06:00.0 0200: 10ec:8136 (rev 01)
07:09.0 0c00: 1180:0832 (rev 05)
07:09.1 0805: 1180:0822 (rev 22)
07:09.2 0880: 1180:0843 (rev 12)
07:09.3 0880: 1180:0592 (rev 12)
07:09.4 0880: 1180:0852 (rev ff)

Comment 2 John Poelstra 2008-04-19 22:13:04 EDT
Sorry to have scared you ;-)  adding more descriptive to help get this issue
fixed.  

Wondering if this is a gdm issue instead? Adding rstrode to CC

Martin--Are there any relevant error messages in /var/log/messages or
~/.xsession-errors?  If so, please post them here too.

Thanks

Comment 3 Jonathan Roberts 2008-04-20 06:18:21 EDT
This is a known bug that's fixed following an install I think. Boot with kernel
option xdriver=vesa fixes the problem on the live cd, and then apparently all is
well following the install. Temp workaround was seen in Nicu's blog:

http://nicubunu.blogspot.com/2008/03/my-struggles-with-f9-beta.html
Comment 5 petrosyan 2008-04-23 13:56:55 EDT
Martin, you are not running Fedora 9 preview. You are running Fedora 9 beta.
This bug was present in Fedora 9 beta but has been fixed in Fedora 9 preview.
Comment 6 petrosyan 2008-04-23 13:58:52 EDT
your dmesg file says  'Linux version 2.6.25-0.121.rc5.git4.fc9'

Fedora 9 preview uses 'Linux version 2.6.25-0.234.rc9.git1.fc9'
Comment 7 mnemo 2008-04-23 14:13:56 EDT
I read about the preview supporting kernel mode setting so I wanted to test it
out. I went to fedoraproject.org and I clicked "get fedora". There was a link
there that said "Someone definitely said... “Beta”" and I assumed that was it.

By know, this link has been updated to to say "Someone definitely said...
“Preview Release”".

Hmm, I wonder how many other people downloaded the beta and thought "wow, this
is not really polished stuff".

Thanks for the clarification though, I will pull real preview now.